Subject: UI private networks not showing (+) line if network is empty, minor display issues

Description

It would be best even if an empty network would expand to show the (+) line so the user can connect VMs to it.

Update: Create a network, add two machines to it. UI shows: "machines (2)". Create another network and immediately add 2 machines to

it. The machines are shown as connected to the first network as well, until the user refreshes.

History

#1 - 11/01/2012 06:46 pm - Kostas Papadimitriou

Add machine action on empty private networks is accessible from the hover actions on the right side of the private network view.

#2 - 11/02/2012 01:15 am - Vangelis Koukis

Sure, the functionality is there.

The ticket is a feature request to have the (+) line appear for empty networks for uniformity. It would be better if there was no difference in the way empty

networks vs. networks with at least one machine are displayed and manipulated in the UI.

If the implementation load is high, it could be moved to a later version, but I think it makes sense to leave it open.

#3 - 11/04/2012 11:05 pm - Vangelis Koukis

- Subject changed from UI private networks not showing (+) line if network is empty to UI private networks not showing (+) line if network is empty, minor 

display issues

Updated ticket contents to include wrong machines shown inside net.

#4 - 11/08/2012 08:46 pm - Kostas Papadimitriou

- Status changed from New to Feedback

Fixed in commit:4c39dc1, private network views now may be expanded even if they are empty.

#5 - 11/13/2012 03:30 pm - Vangelis Koukis

- Status changed from Feedback to Closed

Looking forward to seeing this on okeanos.io :-P

Closing ticket.
